Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.tdk.signaturetest.util
Class CommandLineParser

    java.lang.Object
      com.sun.tdk.signaturetest.util.CommandLineParser

    public class CommandLineParser

extends java.lang.Object

Constructor Summary
`CommandLineParser(java.lang.Object servicedObject, java.lang.String optionPrefix)`

Method Summary
`void` | `addOption(java.lang.String option, OptionInfo info)`
`void` | `addOption(java.lang.String option, OptionInfo info, java.lang.String decoder)`
`boolean` | `isOptionSpecified(java.lang.String option)`
`boolean` | `isOptionSpecified(java.lang.String arg, java.lang.String checkedOption)`
`static java.lang.String[]` | `parseListOption(java.lang.String[] args)`
`void` | `processArgs(java.lang.String[] args)`
`void` | `removeKnownOption(java.lang.String option)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineParser

    public CommandLineParser(java.lang.Object servicedObject,
                             java.lang.String optionPrefix)

Method Detail

### addOption

    public final void addOption(java.lang.String option,
                                OptionInfo info)

### addOption

    public final void addOption(java.lang.String option,
                                OptionInfo info,
                                java.lang.String decoder)

### removeKnownOption

    public final void removeKnownOption(java.lang.String option)

### processArgs

    public void processArgs(java.lang.String[] args)
                     throws CommandLineParserException

  Throws:
    `CommandLineParserException`

### isOptionSpecified

    public boolean isOptionSpecified(java.lang.String arg,
                                     java.lang.String checkedOption)

### isOptionSpecified

    public boolean isOptionSpecified(java.lang.String option)

### parseListOption

    public static java.lang.String[] parseListOption(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD